table:
  name: service_status
  schema: checks
object_relationships:
  - name: check
    using:
      manual_configuration:
        column_mapping:
          check_id: id
        insertion_order: null
        remote_table:
          name: checks
          schema: checks
  - name: event
    using:
      manual_configuration:
        column_mapping:
          event_id: id
        insertion_order: null
        remote_table:
          name: events
          schema: public
  - name: team
    using:
      manual_configuration:
        column_mapping:
          team_id: id
        insertion_order: null
        remote_table:
          name: teams
          schema: public
select_permissions:
  - role: _participant
    permission:
      columns:
        - check_id
        - check_time
        - event_id
        - last_error
        - last_failure
        - last_partial
        - last_success
        - participant
        - result_code
        - target
        - team_id
      filter:
        _and:
          - check:
              type:
                _eq: service
          - event:
              teams:
                team:
                  members:
                    user_id:
                      _eq: x-hasura-user-id
          - team:
              members:
                user_id:
                  _eq: x-hasura-user-id
      allow_aggregations: true
  - role: _snapshot_service
    permission:
      columns:
        - data
        - participant
        - staff
        - result_code
        - source
        - target
        - check_time
        - last_error
        - last_failure
        - last_partial
        - last_success
        - check_id
        - event_id
        - team_id
      filter: {}
      allow_aggregations: true
    comment: ""
  - role: _staff
    permission:
      columns:
        - check_id
        - check_time
        - data
        - event_id
        - last_error
        - last_failure
        - last_partial
        - last_success
        - participant
        - result_code
        - source
        - staff
        - target
        - team_id
      filter: {}
      allow_aggregations: true
  - role: anonymous
    permission:
      columns:
        - check_id
        - event_id
        - last_error
        - last_failure
        - last_partial
        - last_success
        - participant
        - result_code
        - team_id
      filter: {}
